// ----------------------------------------------------------------------- //
// _images.cpp	image loading stuff
//
// last edited:	2001-05-12 by Bjrn Paetzel
// 
// Copyright (C) 2001 by Bjrn Paetzel <kolrabi@gmx.de>
// ----------------------------------------------------------------------- //

// ----------------------------------------------------------------------- //
// includes 

#include <stdio.h>
#include <stdarg.h>

#include "_shared.h"
// ----------------------------------------------------------------------- //

// ----------------------------------------------------------------------- //
// variables

FILE	*_logfile;

// ----------------------------------------------------------------------- //

// ----------------------------------------------------------------------- //
// functions



// initializes logging

void _log_init()
{
	_logfile = fopen("debug.log", "w+");
} // _log_init



// deinitializes logging
void _log_deinit()
{
	fclose(_logfile);
} // _log_deinit



// prints into the logfile.. for syntax see printf()

void _log_printf( char *fmt, ... )
{
	va_list argptr;
	char	text[1024];

	va_start (argptr, fmt);
	vsprintf (text, fmt, argptr);
	va_end (argptr);

	if (_logfile)
	{
		fprintf( _logfile, " - %s\n", text );
		fflush(_logfile);
	}
} // _log_printf

// ----------------------------------------------------------------------- //
