#ifndef		_SOUND_INCLUDED
#define		_SOUND_INCLUDED

#define		MAX_SOUNDS		2048

enum soundtype
{
	st_sound,
	st_music
};

typedef struct	_sound_s
{
	char				szSoundName[64];
	char				szFileName[MAX_PATH+1];
	LPDIRECTSOUNDBUFFER sound;
} sound_t;

extern	sound_t	_s_sounds[];

int		_sound_init( HWND hWnd );
void	_sound_free( int n );
void	_sound_deinit();
void	_sound_playsound(int n, long flags = 0, long volume = 0, long pan=0, long freq=DSBFREQUENCY_ORIGINAL);
void	_sound_stopsound(int n);
int		_sound_find( char *szName );
int		_sound_load( const char *szFile, char *szName, int num, int flags );
int		_sound_load( char *szName, int flags );

#endif