// alles was die welt bewegt :)

#include "stdafx.h"
#include "mmsystem.h"
#include "dsound.h"

#include "_shared.h"
#include "_sound.h"

#include "states.h"

// globales 
gvar_t		gv;
state_t		worldstates[] = { 
	{
		state1_world_init, 
		state1_world_update, 
		NULL, 
		state1_render_2d, 
		state1_render_3d 
	}
	};

void	_world_init()
{
	gv.state	  = 0;

	gv.statecount = sizeof(worldstates)/sizeof(state_t);

	if (worldstates[gv.state].world_init)
		worldstates[gv.state].world_init();

//	_sound_playsound(_sound_load("e:\\trax\\trax\\A94FINAL.S3M", FSOUND_LOOP_NORMAL));

	// hier einmal initialisierung der welt einfgen
}


void	_world_deinit()
{
	if (worldstates[gv.state].world_deinit)
		worldstates[gv.state].world_deinit();

	// hier welt deinitialisieren.. variablen freen usw :)
}


void	_world_initstate( int n )
{
	gv.state = n;
	gv.laststateswitchtime = gv.time;
	gv.statetime = 0;

	if (worldstates[gv.state].world_init)
		worldstates[gv.state].world_init();
}


void	_world_updatestate()
{
	gv.statetime = gv.time - gv.laststateswitchtime;

	if (worldstates[gv.state].world_update)
		worldstates[gv.state].world_update();
}


void	_world_update( float t )
{
	gv.dtime		= t-gv.time;				// zeit seit dem letzen frame
	gv.time			= t;						// aktuelle zeit

	_world_updatestate();

	// hier code fr welt-bewegungen usw..
	state1_world_update();
}
