#ifndef		STATES_INCLUDED
#define		STATES_INCLUDED

// ----------------------------------------------------------------------- //
// stage information

typedef struct _state_s
{
	void	(*world_init)();
	void	(*world_update)();
	void	(*world_deinit)();
	void	(*render_2d)();
	void	(*render_3d)();
} state_t;

extern	state_t	worldstates[];

void state1_world_init();
void state1_world_update();
void state1_render_3d();
void state1_render_2d();

#endif